> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hill90.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Append journal entry

> Add a memory journal entry to an agent for context persistence.



## OpenAPI

````yaml /openapi.yaml post /agents/{id}/journal
openapi: 3.0.3
info:
  title: Hill90 API
  description: Hill90 platform API — agent management and lifecycle operations.
  version: 0.1.0
servers:
  - url: /
    description: Relative (behind Traefik reverse proxy)
security: []
paths:
  /agents/{id}/journal:
    parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
          format: uuid
    post:
      summary: Append journal entry
      description: Add a memory journal entry to an agent for context persistence.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - content
              properties:
                entry_type:
                  type: string
                  enum:
                    - observation
                    - decision
                    - plan
                    - note
                    - error
                  default: observation
                content:
                  type: string
      responses:
        '201':
          description: Entry created
        '400':
          description: Missing content
        '404':
          description: Agent not found
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````